> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/experiment/:id

> Fetches a full report for the given experiment



## OpenAPI

````yaml /openapi.json get /v1/report/experiment/{id}
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/experiment/{id}:
    get:
      tags:
        - Reporting/Experiment Reporting
        - public
      summary: /report/experiment/:id
      description: Fetches a full report for the given experiment
      parameters:
        - name: id
          in: path
          description: Unique experiment ID
          required: true
          example: 0
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      id:
                        type: integer
                      uid:
                        type: integer
                      domain:
                        type: string
                      label:
                        type: string
                        nullable: true
                      title:
                        type: string
                      description:
                        type: string
                        nullable: true
                      organisation:
                        type: string
                      start:
                        type: string
                        format: date
                      end:
                        type: string
                        format: date
                      subject:
                        type: array
                        items:
                          type: object
                          properties:
                            config_id:
                              type: integer
                            real_allocation:
                              type: integer
                            allocation:
                              type: integer
                            unit:
                              type: string
                            label:
                              type: string
                            status:
                              type: integer
                            config:
                              type: object
                              properties: {}
                            data:
                              type: object
                              properties:
                                experiment_rpm:
                                  type: array
                                  items:
                                    type: number
                                    nullable: true
                                gross_revenue:
                                  type: array
                                  items:
                                    type: number
                                viewability:
                                  type: array
                                  items:
                                    type: number
                                  nullable: true
                                fill:
                                  type: array
                                  items:
                                    type: number
                                    nullable: true
                                  nullable: true
                                requests:
                                  type: array
                                  items:
                                    type: number
                                    nullable: true
                                impressions:
                                  type: array
                                  items:
                                    type: number
                                    nullable: true
                                ad_unit_load:
                                  type: array
                                  items:
                                    type: number
                                    nullable: true
                              required:
                                - experiment_rpm
                                - gross_revenue
                                - viewability
                                - fill
                                - requests
                                - impressions
                                - ad_unit_load
                            rpm:
                              type: integer
                          required:
                            - config_id
                            - real_allocation
                            - allocation
                            - unit
                            - label
                            - status
                            - config
                            - data
                            - rpm
                      status:
                        type: string
                      currency:
                        type: string
                      table_state:
                        type: string
                        nullable: true
                      progress:
                        type: number
                      dates:
                        type: array
                        items:
                          type: string
                    required:
                      - id
                      - uid
                      - domain
                      - label
                      - title
                      - description
                      - organisation
                      - start
                      - end
                      - subject
                      - status
                      - currency
                      - table_state
                      - progress
                      - dates
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  id: 146
                  uid: 18620
                  domain: example.com
                  label: null
                  title: LB 1 Variant Test
                  description: null
                  organisation: DEMO
                  start: '2025-10-22 00:00:00'
                  end: '2025-11-24 23:59:59'
                  subject:
                    - config_id: 8392
                      real_allocation: 0
                      allocation: 50
                      unit: iab
                      label: Leaderboard 1
                      status: 1
                      config:
                        In View: true
                      data:
                        experiment_rpm:
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                        gross_revenue:
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                        viewability:
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                        fill:
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                        requests:
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                        impressions:
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                        ad_unit_load:
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                      rpm: 0
                    - config_id: 8393
                      real_allocation: 0
                      allocation: 50
                      unit: iab
                      label: Leaderboard 1 (OOV)
                      status: 0
                      config:
                        In View: false
                      data:
                        experiment_rpm:
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                        gross_revenue:
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                        viewability:
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                        fill:
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                        requests:
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                        impressions:
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                        ad_unit_load:
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                          - null
                      rpm: 0
                  status: live
                  currency: GBP
                  table_state: null
                  progress: 0.9705882352941176
                  dates:
                    - '2025-10-22'
                    - '2025-10-23'
                    - '2025-10-24'
                    - '2025-10-25'
                    - '2025-10-26'
                    - '2025-10-27'
                    - '2025-10-28'
                    - '2025-10-29'
                    - '2025-10-30'
                    - '2025-10-31'
                    - '2025-11-01'
                    - '2025-11-02'
                    - '2025-11-03'
                    - '2025-11-04'
                    - '2025-11-05'
                    - '2025-11-06'
                    - '2025-11-07'
                    - '2025-11-08'
                    - '2025-11-09'
                    - '2025-11-10'
                    - '2025-11-11'
                    - '2025-11-12'
                    - '2025-11-13'
                    - '2025-11-14'
                    - '2025-11-15'
                    - '2025-11-16'
                    - '2025-11-17'
                    - '2025-11-18'
                    - '2025-11-19'
                    - '2025-11-20'
                    - '2025-11-21'
                    - '2025-11-22'
                    - '2025-11-23'
                    - '2025-11-24'
                    - '2025-11-25'
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````